//---------------------------------------------------------------------------
#ifndef MMMainFrmH
#define MMMainFrmH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "RichView.hpp"
#include "RVScroll.hpp"
#include "RVStyle.hpp"
#include "RVTable.hpp"
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TfrmMainMerge : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TLabel *Label2;
        TListBox *ListBox1;
        TRichView *rvOutput;
        TRichView *rvTemplate;
        TRVStyle *rvsOutput;
        TRVStyle *rvsTemplate;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall ListBox1Click(TObject *Sender);
private:	// User declarations
        TStringList* Codes;
        void LoadCustomers();
        bool IsFieldCode(const AnsiString FieldName);
        AnsiString GetFieldValueFromDatabase(const AnsiString FieldName);
        void FillFields(TCustomRVData* RVData);
public:		// User declarations
        __fastcall TfrmMainMerge(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMainMerge *frmMainMerge;
//---------------------------------------------------------------------------
#endif
